Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ui.common.dnd
Class ECPDropAdapter

    java.lang.Object
      org.eclipse.swt.dnd.DropTargetAdapter
          org.eclipse.emf.edit.ui.dnd.EditingDomainViewerDropAdapter
              org.eclipse.emf.ecp.ui.common.dnd.ECPDropAdapter

All Implemented Interfaces:
  EventListener, org.eclipse.swt.dnd.DropTargetListener, org.eclipse.swt.internal.SWTEventListener

Direct Known Subclasses:
  ModelExplorerDropAdapter, ViewEditorDropAdapter

    public abstract class ECPDropAdapter

extends EditingDomainViewerDropAdapter

Author:
  Eugen Neufeld

Constructor Summary
`ECPDropAdapter()` Default constructor for drop adapters initialized by extension point.
`ECPDropAdapter(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.jface.viewers.Viewer viewer)` Constructor.

Method Summary
`void` | `setEditingDomain(org.eclipse.emf.edit.domain.EditingDomain editingDomain)`
`void` | `setViewer(org.eclipse.jface.viewers.Viewer viewer)`

Methods inherited from class org.eclipse.emf.edit.ui.dnd.EditingDomainViewerDropAdapter
`dragEnter, dragLeave, dragOperationChanged, dragOver, drop, dropAccept`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPDropAdapter

    public ECPDropAdapter()

  Default constructor for drop adapters initialized by extension point.

### ECPDropAdapter

    public ECPDropAdapter(org.eclipse.emf.edit.domain.EditingDomain domain,
                          org.eclipse.jface.viewers.Viewer viewer)

  Constructor.

  Parameters:
    `domain` - the `EditingDomain` to use
    `viewer` - the Viewer this `EditingDomainViewerDropAdapter` is applied to

Method Detail

### setEditingDomain

    public void setEditingDomain(org.eclipse.emf.edit.domain.EditingDomain editingDomain)

  Parameters:
    `editingDomain` - Th `EditingDomain` to be used.

### setViewer

    public void setViewer(org.eclipse.jface.viewers.Viewer viewer)

  Parameters:
    `viewer` - The `Viewer`, this drop adapter operates on

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.